xdemineur (2.1.1-20.lnd.4) unstable; urgency=medium

  * Change applitions name 

 -- Loongson <service@loongnix.cn>  Wed, 12 Jun 2024 20:56:07 +0800

xdemineur (2.1.1-20.lnd.3) unstable; urgency=medium

  * debian/xdemineur.desktop
    - translate tooltip and simplify name for xdemineur

 -- Dandan Zhang <zhangdandan@loongson.cn>  Mon, 13 Mar 2023 11:11:09 +0800

xdemineur (2.1.1-20.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:25:42 +0800

xdemineur (2.1.1-20.lnd.1) unstable; urgency=medium

  * debian/xdemineur.desktop
    - sinicize the displayed name into minesweeper

 -- sangmeng <sangmeng@loongson.cn>  Sat, 18 Sep 2021 16:43:29 +0800

xdemineur (2.1.1-20) unstable; urgency=medium

  * Updated Vcs-* to salsa
  * Debhelper compatibility level 11
  * Standards-Version 4.3.0
    - use https in format header of debian/copyright
  * desktop entry: add Category
  * debian/{rules,changelog}: remove trailing whitespace

 -- Ralf Treinen <treinen@debian.org>  Mon, 24 Dec 2018 16:17:57 +0100

xdemineur (2.1.1-19) unstable; urgency=medium

  * Standards-Version 3.9.8:
    - Remove debian/xdemineur.menu
  * debian/xdemineur.desktop:
    - drop the empty Mime= entry
    - add Keywords
  * Vcs-{Git,Browser}: use secure URL
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper

 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Dec 2016 19:31:09 +0100

xdemineur (2.1.1-18) unstable; urgency=low

  * debian/control: set vcs-* fields (now on git.debian.org)
  * add debian/gbp.conf with pristine-tar=true
  * Standards-version 3.9.4 (no change)
  * Bump debhelper compat level to 9 in order to get hardening flags. Bump
    build-dependency on debhelper to >=9.
  * patch observe_ldflags: import $LDFLAGS into the generated Makefile,
    in order to get linker hardening flags.

 -- Ralf Treinen <treinen@debian.org>  Thu, 23 May 2013 22:07:21 +0200

xdemineur (2.1.1-17) unstable; urgency=low

  * patch minimal-size: reduce minimal number of rows to 1 and columns to 12.
    (closes: #603112). A smaller number of columns would require to hack the
    layout of the graphical window.
  * patch readme-utf8: convert upstream README to utf8 (closes: #603103)
  * rewrite debian/rules from scratch using dh(1):
    - rename debian/menu to debian/xdemineur.menu
    - add debian/xdemineur.{docs,install,manpages}
    - add debian/clean
    - bump dependency on debhelper to >= 7.0.50~
  * Standards-version 3.9.3:
    - debian/copyright: migrate to machine-readable format 1.0
  * Install manpage with extension .6 instead of .6x

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jun 2012 20:48:54 +0200

xdemineur (2.1.1-16) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format:
    - created debian/source/format
    - no more patching in debian/rules
    - no more build-dependency on dpatch
    - converted dpatch patches to quilt patches
  * debhelper compatibility level 7
    - dh_clean -k => dh_prep
  * Add dependency on ${misc:Depends}
  * Standards-Version 3.8.3 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 02 Jan 2010 20:34:16 +0100

xdemineur (2.1.1-15) unstable; urgency=low

  * Fixed typo in long description (closes: Bug#511236).

 -- Ralf Treinen <treinen@debian.org>  Sun, 11 Jan 2009 18:08:54 +0100

xdemineur (2.1.1-14) unstable; urgency=low

  * changed build-dependency on xutils to xutils-dev (closes: Bug#485542).
  * Standards-Version 3.8.0 (no change).

 -- Ralf Treinen <treinen@debian.org>  Tue, 10 Jun 2008 20:49:38 +0200

xdemineur (2.1.1-13) unstable; urgency=low

  * debian/rules: do not set explicitly CFLAGS, quote correctly CFLAGS
    when passing them to make (closes: Bug#476059).

 -- Ralf Treinen <treinen@debian.org>  Mon, 14 Apr 2008 21:36:25 +0200

xdemineur (2.1.1-12) unstable; urgency=low

  * debian/rules: apply patch by Neil Williams (thanks!) to support
    cross-platform package building (closes: Bug#465117).
  * Install desktop file in /usr/share/applications, instead of
    /usr/share/gnome/apps or /usr/share/applnk.

 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Feb 2008 20:01:41 +0100

xdemineur (2.1.1-11) unstable; urgency=low

  * Standards-Version 3.7.3 (no change).
  * Added build-dependency on libxext-dev (closes: Bug#454538).
  * Removed useless build-dependency on x-dev.
  * Removed some deprecated items from xdemineur.desktop.
  * No national encoding in debian/copyright.
  * Removed useless file debian/menu-2.

 -- Ralf Treinen <treinen@debian.org>  Sat, 08 Dec 2007 15:41:16 +0100

xdemineur (2.1.1-10) unstable; urgency=low

  * Fix "clean" target of debian/rules: invoke "make clean" only when
    Makefile exists.

 -- Ralf Treinen <treinen@debian.org>  Sun, 08 Jul 2007 21:51:36 +0200

xdemineur (2.1.1-9) unstable; urgency=low

  * Acknowledge NMU (thanks, Marc).
  * Standards-version 3.7.2 (no change)
  * debian/rules, target "clean": do not ignore errors of "make clean"

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 Jul 2007 11:35:43 +0200

xdemineur (2.1.1-8.1) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346803)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 23:33:34 +0100

xdemineur (2.1.1-8) unstable; urgency=low

  * Removed patch 02_manpage since it was comletely garbled
  * Patch 02_manpage_section: Fix man page section from 6 to 6x
  * Put xdemineur-icon.xpm into /usr/share/pixmaps, instead of
    /usr/X11R6include/X11
  * Add xdemineur.desktop file

 -- Ralf Treinen <treinen@debian.org>  Fri, 23 Jul 2004 10:41:59 +0200

xdemineur (2.1.1-7) unstable; urgency=low

  * Bounced build-dependency on debhelper to >= 4.0.
  * Dpatchified:
    - 01_endgame: correct false win
    - 02_manpage: language corrections in manpage
    - 03_optionmines: keep number of mines over successive games. Patch
      provided by Per von Zweigbergk - thanks ! (closes: Bug#238751).

 -- Ralf Treinen <treinen@debian.org>  Fri, 19 Mar 2004 04:55:34 +0100

xdemineur (2.1.1-6) unstable; urgency=low

  * Standards-Version 3.6.1:
    - honor "noopt" in the value of DEB_BUILD_OPTIONS.
  * Replace DH_COMAPT variable by file debian/compat, set level to 4.
  * debian/rules: replace target build-stamp by xdemineur.

 -- Ralf Treinen <treinen@debian.org>  Tue, 30 Sep 2003 23:14:08 +0200

xdemineur (2.1.1-5) unstable; urgency=low

  * Fixed some minor typos in the man page.
  * Better description (file debian/control).
  * Constrained build-dependency on debhelper to >= 3.0.
  * Some cleanup in debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Tue,  5 Nov 2002 20:25:52 +0100

xdemineur (2.1.1-4) unstable; urgency=low

  * Patched the function demineur_won in demineur.c such that no winning
    situation is detected in case the last uncovered case was holding a
    mine (cloeses: Bug#136372).

 -- Ralf Treinen <treinen@debian.org>  Sat,  2 Mar 2002 11:43:19 +0100

xdemineur (2.1.1-3) unstable; urgency=low

  * Removed bad "-flood" option from xdemineur invocation in the menu file
    (closes: #120434)

 -- Ralf Treinen <treinen@debian.org>  Sat,  8 Dec 2001 16:40:43 +0100

xdemineur (2.1.1-2) unstable; urgency=low

  * Adopting orphaned package (closes: #82444)
  * Standards-version 3.5.6
  * Added missing line to the copyright file.

 -- Ralf Treinen <treinen@debian.org>  Wed, 19 Sep 2001 21:10:57 +0200

xdemineur (2.1.1-1) unstable; urgency=low

  * New upstream release.
    - This release uses the original colors. (closes: #48008)
  * Removed the Debian-specific patches.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 19:48:48 +0200

xdemineur (1.1-11.2) unstable; urgency=low

  * fixed missing Build-Dependency from xlibs-dev

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2001 16:46:37 +0200

xdemineur (1.1-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * switched to debhelper to make it easy for future maintainer
  * closes: #100152
      fixed /usr/doc -> /usr/share/doc transition
    I decided not to use the patch of
      Stephen Stafford <stephen@clothcat.demon.co.uk>
    but to use debhelper.  Thanks anyway Stephen.
  * Standards-Version: 3.5.2
  * added Build-Depends
  * changed menu section to games/puzzles

 -- Andreas Tille <tille@debian.org>  Wed, 04 Jul 2001 10:06:50 +0200

xdemineur (1.1-11) unstable; urgency=low

  * debian/postinst: only run update-menus if it exists (#22015)
  * debian/postrm: run update-menus
  * debian/prerm: deleted (no point in running update-menus when the menu
    file is still around!

 -- Mark Baker <mbaker@iee.org>  Sat, 02 May 1998 21:57:00 +0100

xdemineur (1.1-10) unstable; urgency=low

  * Changed case of text in menu entry (#21553)
  * Use new format menu entry file

 -- Mark Baker <mbaker@iee.org>  Thu, 23 Apr 1998 16:49:00 +0100

xdemineur (1.1-9) unstable; urgency=low

  * Put pixmap in /usr/X11R6/include/X11/pixmaps instead of
    /usr/include/X11/pixmaps (#18332)

 -- Mark Baker <mbaker@iee.org>  Sat, 14 Feb 1998 23:12:04 +0000

xdemineur (1.1-8) unstable; urgency=low

  * Moved manpage to /usr/man instead of /usr/X11R6/man

 -- Mark Baker <mbaker@iee.org>  Sat, 14 Feb 1998 23:12:04 +0000

xdemineur (1.1-7) unstable; urgency=low

  * Updated standards-version to 2.4.0.0 (no changes)

 -- Mark Baker <mbaker@iee.org>  Mon, 09 Feb 1998 22:02:46 +0000

xdemineur (1.1-6) unstable; urgency=low

  * Install manpage as xdemineur.6x instead of xdemineur.1x

 -- Mark Baker <mbaker@iee.org>  Mon, 26 Jan 1998 22:02:46 +0000

xdemineur (1.1-5) unstable; urgency=low

  * Added flood feature (thanks Tony Giorgino)

 -- Mark Baker <mbaker@iee.org>  Thu, 22 Jan 1998 20:57:51 +0000

xdemineur (1.1-4) unstable; urgency=low

  * Compile with xlib6g

 -- Mark Baker <mbaker@iee.org>  Tue, 09 Sep 1997 21:51:58 +0100

xdemineur (1.1-3) unstable; urgency=low

  * Use resources (to work round the IMO non-bug #12046)

 -- Mark Baker <mbaker@iee.org>  Sun, 07 Sep 1997 11:11:43 +0100

xdemineur (1.1-2) unstable; urgency=low

  * Compile with libc6

 -- Mark Baker <mbaker@iee.org>  Fri, 20 Jun 1997 15:15:01 +0100

xdemineur (1.1-1) unstable; urgency=low

  * First debian release

 -- Mark Baker <mbaker@iee.org>  Wed, 30 Apr 1997 12:30:00 +0100
